#include <iostream>
using namespace std;

int main()
{
    int n, arr[100000], m1, m2, j = 1, k = 0;
    cin >> n;
    m1 = n;
    for(int i = 0; i < n; i++)
    {
        arr[i] = i + 1;
    }
    do
    {
        m2 = m1;
        m1 = 1;
        j++;
        for(int i = 0; i < n; i++)
        {
            if(arr[i] != 0)
            {
                k++;
            }
            if(arr[i] > m1)
            {
                m1 = arr[i];
            }
            if(k % j == 0)
            {
                arr[i] = 0;
            }
        }
    }
    while(m1 != 1);
    cout << m2;
    return 0;
}
